Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.jta.common
Class Environment

    java.lang.Object
      com.arjuna.ats.jta.common.Environment

public class Environment
extends java.lang.Object

The module specific properties which may be set to configure the system at runtime.

Since:
  JTS 2.0.
Version:
  $Id: Environment.java 2342 2006-03-30 13:06:17Z $
Author:
  Mark Little (mark_little@hp.com)

Field Summary
`static java.lang.String` | `JTA_TM_IMPLEMENTATION`
`static java.lang.String` | `JTA_UT_IMPLEMENTATION`
`static java.lang.String` | `PROPERTIES_FILE`
`static java.lang.String` | `SUPPORT_SUBTRANSACTIONS`
`static java.lang.String` | `TM_JNDI_CONTEXT`
`static java.lang.String` | `UT_JNDI_CONTEXT`
`static java.lang.String` | `XA_BACKOFF_PERIOD`
`static java.lang.String` | `XA_ERROR_HANDLER`
`static java.lang.String` | `XA_RECOVERY_NODE`
`static java.lang.String` | `XA_ROLLBACK_OPTIMIZATION`
`static java.lang.String` | `XA_TRANSACTION_TIMEOUT_ENABLED`

Constructor Summary
`Environment()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTIES_FILE

    public static final java.lang.String PROPERTIES_FILE

See Also:
  Constant Field Values

### SUPPORT_SUBTRANSACTIONS

    public static final java.lang.String SUPPORT_SUBTRANSACTIONS

See Also:
  Constant Field Values

### JTA_TM_IMPLEMENTATION

    public static final java.lang.String JTA_TM_IMPLEMENTATION

See Also:
  Constant Field Values

### JTA_UT_IMPLEMENTATION

    public static final java.lang.String JTA_UT_IMPLEMENTATION

See Also:
  Constant Field Values

### XA_BACKOFF_PERIOD

    public static final java.lang.String XA_BACKOFF_PERIOD

See Also:
  Constant Field Values

### XA_RECOVERY_NODE

    public static final java.lang.String XA_RECOVERY_NODE

See Also:
  Constant Field Values

### XA_ROLLBACK_OPTIMIZATION

    public static final java.lang.String XA_ROLLBACK_OPTIMIZATION

See Also:
  Constant Field Values

### UT_JNDI_CONTEXT

    public static final java.lang.String UT_JNDI_CONTEXT

See Also:
  Constant Field Values

### TM_JNDI_CONTEXT

    public static final java.lang.String TM_JNDI_CONTEXT

See Also:
  Constant Field Values

### XA_ERROR_HANDLER

    public static final java.lang.String XA_ERROR_HANDLER

See Also:
  Constant Field Values

### XA_TRANSACTION_TIMEOUT_ENABLED

    public static final java.lang.String XA_TRANSACTION_TIMEOUT_ENABLED

See Also:
  Constant Field Values

Constructor Detail

### Environment

    public Environment()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD